r331 - in vdr/vdr-plugin-games/trunk/debian: . patches

Thomas Schmidt pkg-vdr-dvb-changes@lists.alioth.debian.org
Sun, 27 Mar 2005 00:31:24 +0000


Author: tschmidt
Date: 2005-03-27 00:31:23 +0000 (Sun, 27 Mar 2005)
New Revision: 331

Added:
   vdr/vdr-plugin-games/trunk/debian/patches/
   vdr/vdr-plugin-games/trunk/debian/patches/00list
   vdr/vdr-plugin-games/trunk/debian/patches/01_Makefile-fPIC-fix.dpatch
   vdr/vdr-plugin-games/trunk/debian/patches/02_Makefile-nosilent.dpatch
Modified:
   vdr/vdr-plugin-games/trunk/debian/changelog
Log:
vdr-plugin-games:
	* Re-added dpatches which somehow got lost when we changed the
          repository from cvs to svn, this should fix the FTBFS on some
          architectures


Modified: vdr/vdr-plugin-games/trunk/debian/changelog
===================================================================
--- vdr/vdr-plugin-games/trunk/debian/changelog	2005-03-26 17:03:20 UTC (rev 330)
+++ vdr/vdr-plugin-games/trunk/debian/changelog	2005-03-27 00:31:23 UTC (rev 331)
@@ -1,3 +1,12 @@
+vdr-plugin-games (0.6.1-6) unstable; urgency=low
+
+  * Thomas Schmidt <tschmidt@debian.org>
+    - Re-added dpatches which somehow got lost when we changed the
+      repository from cvs to svn, this should fix the FTBFS on some
+      architectures
+
+ -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 26 Mar 2005 17:31:05 +0100
+
 vdr-plugin-games (0.6.1-5) unstable; urgency=low
 
   * Thomas Schmidt <tschmidt@debian.org>

Added: vdr/vdr-plugin-games/trunk/debian/patches/00list
===================================================================
--- vdr/vdr-plugin-games/trunk/debian/patches/00list	2005-03-26 17:03:20 UTC (rev 330)
+++ vdr/vdr-plugin-games/trunk/debian/patches/00list	2005-03-27 00:31:23 UTC (rev 331)
@@ -0,0 +1,2 @@
+01_Makefile-fPIC-fix
+02_Makefile-nosilent

Added: vdr/vdr-plugin-games/trunk/debian/patches/01_Makefile-fPIC-fix.dpatch
===================================================================
--- vdr/vdr-plugin-games/trunk/debian/patches/01_Makefile-fPIC-fix.dpatch	2005-03-26 17:03:20 UTC (rev 330)
+++ vdr/vdr-plugin-games/trunk/debian/patches/01_Makefile-fPIC-fix.dpatch	2005-03-27 00:31:23 UTC (rev 331)
@@ -0,0 +1,80 @@
+#! /bin/sh -e
+## 01_Makefile-fPIC-fix.dpatch by Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Adds -fPIC to Makefiles, to fix FTBFS (#266793)
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/minesweeper/Makefile vdr-plugin-games-0.6.1/minesweeper/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/minesweeper/Makefile	2004-07-03 16:44:40.000000000 +0200
++++ vdr-plugin-games-0.6.1/minesweeper/Makefile	2004-08-19 16:55:14.000000000 +0200
+@@ -1,6 +1,6 @@
+ GAME     = minesweeper
+ OBJS     = minesweeper.o
+-CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual
++CFLAGS   = -fPIC -g -pipe -O2 -Wall -Woverloaded-virtual
+ 
+ all: $(OBJS)
+ 	@ar -r $(GAME).a $(OBJS)
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/snake/Makefile vdr-plugin-games-0.6.1/snake/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/snake/Makefile	2004-07-03 16:44:40.000000000 +0200
++++ vdr-plugin-games-0.6.1/snake/Makefile	2004-08-19 16:55:29.000000000 +0200
+@@ -1,6 +1,6 @@
+ GAME     = snake
+ OBJS     = snake.o
+-CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual
++CFLAGS   = -fPIC -g -pipe -O2 -Wall -Woverloaded-virtual
+ 
+ all: $(OBJS)
+ 	@ar -r $(GAME).a $(OBJS)
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tetris/Makefile vdr-plugin-games-0.6.1/tetris/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tetris/Makefile	2004-07-03 16:44:40.000000000 +0200
++++ vdr-plugin-games-0.6.1/tetris/Makefile	2004-08-19 16:55:49.000000000 +0200
+@@ -1,6 +1,6 @@
+ GAME     = tetris
+ OBJS     = tetris.o
+-CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual
++CFLAGS   = -fPIC -g -pipe -O2 -Wall -Woverloaded-virtual
+ 
+ all: $(OBJS)
+ 	@ar -r $(GAME).a $(OBJS)
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tictactoe/Makefile vdr-plugin-games-0.6.1/tictactoe/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tictactoe/Makefile	2004-07-03 16:44:40.000000000 +0200
++++ vdr-plugin-games-0.6.1/tictactoe/Makefile	2004-08-19 16:56:02.000000000 +0200
+@@ -1,6 +1,6 @@
+ GAME     = tictactoe
+ OBJS     = tictactoe.o
+-CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual
++CFLAGS   = -fPIC -g -pipe -O2 -Wall -Woverloaded-virtual
+ 
+ all: $(OBJS)
+ 	@ar -r $(GAME).a $(OBJS)
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tron/Makefile vdr-plugin-games-0.6.1/tron/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tron/Makefile	2004-07-03 16:44:40.000000000 +0200
++++ vdr-plugin-games-0.6.1/tron/Makefile	2004-08-19 16:56:13.000000000 +0200
+@@ -1,6 +1,6 @@
+ GAME     = tron
+ OBJS     = tron.o
+-CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual
++CFLAGS   = -fPIC -g -pipe -O2 -Wall -Woverloaded-virtual
+ 
+ all: $(OBJS)
+ 	@ar -r $(GAME).a $(OBJS)

Added: vdr/vdr-plugin-games/trunk/debian/patches/02_Makefile-nosilent.dpatch
===================================================================
--- vdr/vdr-plugin-games/trunk/debian/patches/02_Makefile-nosilent.dpatch	2005-03-26 17:03:20 UTC (rev 330)
+++ vdr/vdr-plugin-games/trunk/debian/patches/02_Makefile-nosilent.dpatch	2005-03-27 00:31:23 UTC (rev 331)
@@ -0,0 +1,110 @@
+#! /bin/sh -e
+## 02_Makefile-nosilent.dpatch by Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Removes output-suppresions from the Makefiles
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/Makefile vdr-plugin-games-0.6.1/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/Makefile	2004-08-19 17:19:17.000000000 +0200
++++ vdr-plugin-games-0.6.1/Makefile	2004-08-19 17:19:18.000000000 +0200
+@@ -49,18 +49,18 @@
+ all:
+ 	@echo
+ 	@echo -n "Building $(TARGET) "
+-	@for GAME in $(GAMES); do cd $$GAME; make -s all; cd -; done
++	for GAME in $(GAMES); do cd $$GAME; make all; cd -; done
+ 	@rm -f $(TARGET)
+-	@make -s $(TARGET)
++	@make $(TARGET)
+ 	@echo " done"
+ 	@echo
+ 
+ libvdr-games.so: $(OBJS)
+-	@g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@
++	g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@
+ 	@cp $@ $(LIBDIR)/$@.$(VDRVER)
+ 
+ sdl-games: $(OBJS)
+-	@g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@
++	g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@
+ 
+ install: all
+ 	@cp $(LIBDIR)/libvdr-games.so.$(VDRVER) /mnt/vdr/lib/plugins/
+@@ -78,11 +78,11 @@
+ clean:
+ 	@echo
+ 	@echo -n "Cleaning source tree "
+-	@for GAME in $(GAMES); do cd $$GAME; make -s clean; cd -; done
++	@for GAME in $(GAMES); do cd $$GAME; make clean; cd -; done
+ 	@rm -f *.o *.a $(TARGET)
+ 	@echo " done"
+ 	@echo
+ 
+ .cpp.o:
+ 	@echo -n "."
+-	@$(COMPILE.cpp) $(DEFINES) $(CFLAGS) -c $< $(OUTPUT_OPTION)
++	$(COMPILE.cpp) $(DEFINES) $(CFLAGS) -c $< $(OUTPUT_OPTION)
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/minesweeper/Makefile vdr-plugin-games-0.6.1/minesweeper/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/minesweeper/Makefile	2004-08-19 17:19:18.000000000 +0200
++++ vdr-plugin-games-0.6.1/minesweeper/Makefile	2004-08-19 17:19:42.000000000 +0200
+@@ -11,4 +11,4 @@
+ 
+ .cpp.o:
+ 	@echo -n "."
+-	@g++ $(CFLAGS) -c $<
++	g++ $(CFLAGS) -c $<
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/snake/Makefile vdr-plugin-games-0.6.1/snake/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/snake/Makefile	2004-08-19 17:19:18.000000000 +0200
++++ vdr-plugin-games-0.6.1/snake/Makefile	2004-08-19 17:19:53.000000000 +0200
+@@ -11,4 +11,4 @@
+ 
+ .cpp.o:
+ 	@echo -n "."
+-	@g++ $(CFLAGS) -c $<
++	g++ $(CFLAGS) -c $<
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tetris/Makefile vdr-plugin-games-0.6.1/tetris/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tetris/Makefile	2004-08-19 17:19:18.000000000 +0200
++++ vdr-plugin-games-0.6.1/tetris/Makefile	2004-08-19 17:20:05.000000000 +0200
+@@ -11,4 +11,4 @@
+ 
+ .cpp.o:
+ 	@echo -n "."
+-	@g++ $(CFLAGS) -c $<
++	g++ $(CFLAGS) -c $<
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tictactoe/Makefile vdr-plugin-games-0.6.1/tictactoe/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tictactoe/Makefile	2004-08-19 17:19:18.000000000 +0200
++++ vdr-plugin-games-0.6.1/tictactoe/Makefile	2004-08-19 17:20:15.000000000 +0200
+@@ -11,4 +11,4 @@
+ 
+ .cpp.o:
+ 	@echo -n "."
+-	@g++ $(CFLAGS) -c $<
++	g++ $(CFLAGS) -c $<
+diff -urNad /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tron/Makefile vdr-plugin-games-0.6.1/tron/Makefile
+--- /home/chelli/vdr/cvs-buildpackage/vdr-plugin-games/vdr-plugin-games-0.6.1/tron/Makefile	2004-08-19 17:19:18.000000000 +0200
++++ vdr-plugin-games-0.6.1/tron/Makefile	2004-08-19 17:20:22.000000000 +0200
+@@ -11,4 +11,4 @@
+ 
+ .cpp.o:
+ 	@echo -n "."
+-	@g++ $(CFLAGS) -c $<
++	g++ $(CFLAGS) -c $<